# 秀丸用のツールバーのjsonで作ったもの

![HmToolBarJson v1.0.0.5](https://img.shields.io/badge/HmToolBarJson-v1.0.0.5-6479ff.svg)

- オリジナルアイコンのセットを用意しやすいように調整したもの。

## 動作環境

- 秀丸 v9.33 以上

## フォント

- 「HmToolBar.ttf」 というTrueTypeフォントを用意した。決め打ちすることで、jsonの方も決め打ちできるので扱いやすくなる。
  - フォントは「F000」から文字が入っている。
- 外字的に用意した「文字」を秀丸上で「新規に入力」するのは実は大変なので、あらかじめHmToolBar.json に入力済みなのでこれをコピペすればよい。

![alt text](./thumbnail.png)


// https://help.maruo.co.jp/hidemac/html/110_MacroStatement_endmacro_postcommand.html  

| 番号 |          秀丸のコマンド           |
| ---: | :-------------------------------- |
|    1 | 新規作成                          |
|    4 | 開く...                           |
|  416 | ファイルの一部を開く...           |
|    6 | 閉じて開く...                     |
|  132 | ファイルを閉じる                  |
|    5 | 上書き保存                        |
|  231 | 上書き保存(改行=LF)               |
|    3 | 名前を付けて保存...               |
|    7 | 別ファイルへの追加保存            |
|    8 | カーソル位置への読込み...         |
|  125 | 印刷...                           |
|    9 | 保存して終了                      |
|   10 | 終了                              |
|   12 | 全保存終了                        |
|   11 | 全終了                            |
|  178 | 全保存                            |
|  224 | 全保存(更新ファイルのみ)          |
|  133 | 破棄して終了                      |
|  453 | 全て破棄して終了                  |
|  528 | ウィンドウを閉じる                |
|  505 | ファイルのプロパティ              |
|  134 | ファイル名変更...                 |
|  117 | ...を開く                         |
|  118 | ...を秀丸エディタで開く           |
|  542 | ...をブラウザ枠で開く             |
|  543 | ...を個別ブラウザ枠で開く         |
|  332 | バイナリモード                    |
|  306 | 自動判定で読み込みしなおし        |
|  307 | 日本語(Shift-JIS)                 |
|  309 | 日本語(EUC)                       |
|  310 | 日本語(JIS)                       |
|  308 | Unicode(UTF-16)                   |
|  313 | Unicode(UTF-16,Big-Endian)        |
|  312 | Unicode(UTF-8)                    |
|  311 | Unicode(UTF-7)                    |
|  314 | 欧文                              |
|  315 | 簡体字中国語(GB2312)              |
|  316 | 繁体字中国語(Big-5)               |
|  317 | 韓国語                            |
|  318 | 韓国語(Johab)                     |
|  319 | 中央ヨーロッパ言語                |
|  320 | バルト語                          |
|  321 | ギリシャ語                        |
|  322 | キリル言語                        |
|  323 | シンボル                          |
|  324 | トルコ語                          |
|  325 | ヘブライ語                        |
|  326 | アラビア語                        |
|  327 | タイ語                            |
|  328 | ベトナム語                        |
|  329 | Macintosh                         |
|  330 | OEM/DOS                           |
|  331 | その他                            |
|  477 | Unicode(UTF-32)                   |
|  478 | Unicode(UTF-32,Big-Endian)        |
|  509 | エンコードの種類の選択            |
|  333 | 改行=CR+LF                        |
|  334 | 改行=CR                           |
|  335 | 改行=LF                           |
|  459 | BOM                               |
|  336 | エンコードの種類                  |
| 4100 | 戻る                              |
| 4101 | 進む                              |
| 4102 | ソース                            |
| 4103 | Webブラウズモード                 |
| 4109 | ソース／Webブラウズモード切り替え |
| 4104 | FTPで開く...                      |
| 4105 | FTPで名前を付けて保存...          |
| 4106 | 新規Webブラウズモード             |
| 4107 | 関連付けで開く                    |
| 4112 | 名前を付けてリンク先を保存...     |
| 4116 | このページのソースを開く          |
|  470 | プロジェクトを開く...             |
|  469 | 名前を付けてプロジェクトを保存... |
|  501 | ヒストリの記録を中断              |
|   34 | 指定行...                         |
|   14 | カーソル上                        |
|   15 | カーソル下                        |
|   16 | カーソル右                        |
|   17 | カーソル左                        |
|  530 | カーソル上(折り返し無視)          |
|  531 | カーソル下(折り返し無視)          |
|   31 | 高速上移動                        |
|   32 | 高速下移動                        |
|   18 | 単語右                            |
|  200 | 単語右（サルネン風）              |
|   19 | 単語左                            |
|  162 | 単語の先頭に移動                  |
|  161 | 単語の最後に移動                  |
|   21 | 行頭に移動                        |
|   22 | 行末に移動                        |
|  365 | 行末に移動（その２）              |
|  203 | 論理行頭に移動                    |
|  204 | 論理行末に移動                    |
|   23 | ファイルの先頭                    |
|   24 | ファイルの最後                    |
|   29 | 画面の先頭                        |
|   30 | 画面の最後                        |
|   33 | 最後に編集した所                  |
|   25 | 次ページ                          |
|   26 | 前ページ                          |
|  197 | 半次ページ                        |
|  198 | 半前ページ                        |
|   27 | スクロールアップ                  |
|   28 | スクロールダウン                  |
|  192 | スクロールアップ（その２）        |
|  193 | スクロールダウン（その２）        |
|  526 | 左スクロール                      |
|  527 | 右スクロール                      |
|   20 | 対応する括弧に移動                |
|  185 | {に移動                           |
|  186 | }に移動                           |
|  458 | 対応するタグに移動                |
|  110 | 前のカーソル位置                  |
|  513 | 前のカーソル位置(戻る)            |
|  514 | 前のカーソル位置(進む)            |
|  170 | 下の強調行                        |
|  171 | 上の強調行                        |
|   56 | 現在行をマーク/マーク解除         |
|   57 | マーク一覧...                     |
|  181 | マーク行の下検索                  |
|    2 | マーク行の上検索                  |
|  522 | マークを全て解除                  |
|  521 | 現在のファイルのマークを解除      |
|  376 | 次の見出し                        |
|  377 | 前の見出し                        |
|  466 | 次の結果                          |
|  467 | 前の結果                          |
|  510 | 次のgrep結果                      |
|  511 | 前のgrep結果                      |
|  553 | 次の検索色付け                    |
|  554 | 前の検索色付け                    |
|  449 | タブ後退                          |
|  450 | タブ前進                          |
|   37 | 選択開始                          |
|   38 | BOX選択開始                       |
|  503 | BOX選択開始(複数選択化)           |
|  432 | 行選択開始                        |
|   39 | すべてを選択                      |
|   40 | コピー                            |
|  145 | 引用付きコピー                    |
|   41 | 貼り付け                          |
|  383 | 引用付き貼り付け                  |
|  229 | 貼り付け＋履歴戻し                |
|  435 | 貼り付け＋履歴戻し2               |
|  230 | クリップボード履歴...             |
|  123 | BOX貼り付け                       |
|   42 | 切り抜き                          |
|   43 | 追加コピー                        |
|   44 | 追加切り抜き                      |
|   94 | 単語選択（全部）                  |
|  122 | 行の選択                          |
|  512 | 列の選択                          |
|  163 | 単語をコピー                      |
|  434 | 単語を切り抜き                    |
|  164 | 行をコピー                        |
|  433 | 行を切り抜き                      |
|  483 | カーソルより後ろを切り抜き        |
|  169 | 強調行の範囲選択                  |
|  305 | ...をコピー                       |
|  441 | 折り返しに改行を入れてコピー      |
|  489 | 複数選択化                        |
|  491 | 範囲選択を反転                    |
|  494 | 複数選択予約                      |
|  495 | 複数選択予約を選択                |
|  496 | 複数選択予約を消去                |
|  497 | 複数選択予約を全て消去            |
|   45 | 削除                              |
|   46 | 行削除                            |
|  473 | 論理行削除                        |
|   47 | カーソルより後ろを削除            |
|   48 | カーソルより前を削除              |
|   49 | 単語削除（ｶｰｿﾙから後ろ）          |
|  194 | 単語削除（全部）                  |
|  195 | 単語削除（ｶｰｿﾙから前）            |
|   50 | バックスペース                    |
|  349 | 日付と時刻                        |
|   78 | 改行                              |
|  350 | 改ページ                          |
|   80 | タブ                              |
|   51 | 行の二重化                        |
|   77 | 空行挿入                          |
|   53 | 制御コード入力...                 |
|  139 | 削除内容復元                      |
|  506 | 現在のファイル名                  |
|   35 | やり直し                          |
|   36 | やり直しのやり直し                |
|  223 | CapsLockし忘れの是正              |
|  114 | 再変換                            |
|   52 | 大文字 <-> 小文字の変換           |
|  108 | TO UPPER CASE                     |
|  126 | to lower case                     |
|  532 | 大文字/小文字の変換...            |
|  127 | ﾊﾝｶｸに変換                        |
|  128 | 全角ひらがなに変換                |
|  129 | 全角カタカナに変換                |
|  351 | 英数字/記号/空白を半角に変換      |
|  352 | 英数字/記号/空白を全角に変換      |
|  353 | カタカナのみ半角に変換            |
|  354 | カタカナのみ全角に変換            |
|  533 | 半角/全角変換...                  |
|  137 | TAB -> 空白 変換                  |
|  138 | 空白 -> TAB 変換                  |
|  166 | インデント                        |
|  167 | 逆インデント                      |
|  482 | ソート...                         |
|  364 | 変換                              |
|   13 | 再読み込み                        |
|  187 | 閲覧モード切り替え                |
|  355 | 部分編集                          |
|  356 | 部分編集解除                      |
|  367 | 折りたたみ                        |
|  368 | 展開                              |
|  369 | 次の折りたたみ可能行              |
|  370 | 前の折りたたみ可能行              |
|  373 | 折りたたみ可能行の範囲選択        |
|  400 | 折りたたみ可能行の部分編集        |
|  371 | 全て折りたたみ...                 |
|  372 | 全て展開                          |
|  386 | 単語補完                          |
|  387 | 単語補完候補1                     |
|  388 | 単語補完候補2                     |
|  389 | 単語補完候補3                     |
|  390 | 単語補完候補4                     |
|  391 | 単語補完候補5                     |
|  392 | 単語補完候補6                     |
|  393 | 単語補完候補7                     |
|  394 | 単語補完候補8                     |
|  395 | 単語補完候補9                     |
|  397 | 単語補完上キー                    |
|  398 | 単語補完下キー                    |
|  529 | テンプレート                      |
|  436 | 整形                              |
|  443 | 連結                              |
|  437 | 整形ラインを表示                  |
|  502 | やり直しバッファのクリア          |
|   62 | 検索...                           |
|  378 | 検索ボックス                      |
|  174 | 検索(上)...                       |
|  191 | 単語の検索...                     |
|   63 | 下候補                            |
|   64 | 上候補                            |
|  488 | すべての候補を選択                |
|  507 | すべての候補を一覧表示            |
|  508 | すべての候補をアウトラインに表示  |
|  492 | すべての候補を色付け              |
|  493 | すべての候補の色付けを消去        |
|   65 | 置換...                           |
|  344 | 検索文字列の強調                  |
|  196 | 検索文字列の取得                  |
|  190 | 検索開始位置へ戻る                |
|  220 | 下の編集マーク                    |
|  221 | 上の編集マーク                    |
|  222 | 編集マークのクリア                |
|  385 | grepして置換...                   |
|   59 | grepの実行...                     |
|  447 | 一時的なカラーマーカー...         |
|  384 | 一時的なカラーマーカーを付ける    |
|  399 | 一時的なカラーマーカーを消去      |
|  448 | 一時的なカラーマーカーを全て消去  |
|  490 | 一時的なカラーマーカーを選択      |
|  445 | 下のカラーマーカー                |
|  446 | 上のカラーマーカー                |
|  498 | 検索の色付け一覧...               |
|  523 | すべて再度色付け                  |
|  524 | 範囲内検索を選択                  |
|  525 | 範囲内検索に指定                  |
|  535 | 大文字/小文字の区別ON/OFF         |
|  536 | 単語の検索ON/OFF                  |
|  534 | 正規表現ON/OFF                    |
|   97 | 縦に並べる                        |
|   98 | 横に並べる                        |
|   99 | 重ねて表示                        |
|  100 | 並べて表示                        |
|  111 | 全部最小化                        |
|  140 | ウィンドウ分割上下                |
|  406 | ウィンドウ分割左右                |
|  142 | 分割ウィンドウ切り替え            |
|  517 | ウィンドウ分割の同時スクロール    |
|  165 | 同時スクロール...                 |
|  112 | 他の秀丸エディタと内容比較...     |
|  358 | 次の内容比較                      |
|  451 | 前の内容比較                      |
|  107 | ウィンドウ一覧...                 |
|  130 | デスクトップ保存                  |
|  131 | デスクトップ復元                  |
|  405 | デスクトップを開く...             |
|  404 | 名前を付けてデスクトップを保存... |
|   61 | 次の秀丸エディタ                  |
|  120 | 前の秀丸エディタ                  |
|  226 | 次の秀丸エディタ(最小化のも含む)  |
|  227 | 前の秀丸エディタ(最小化のも含む)  |
|  359 | 次のタブ                          |
|  360 | 前のタブ                          |
|  228 | 再描画                            |
|  202 | 常に手前に表示                    |
|  337 | タブモード                        |
|  342 | このタブを分離/移動               |
|  487 | このタブを分離                    |
|  340 | このタブを最小化                  |
|  361 | このタブ以外を閉じる              |
|  362 | 左のタブを全て閉じる              |
|  363 | 右のタブを全て閉じる              |
|  408 | 全レベルを展開                    |
|  409 | レベル1まで展開                   |
|  410 | レベル2まで展開                   |
|  411 | レベル3まで展開                   |
|  412 | レベル4まで展開                   |
|  413 | 一覧をコピー                      |
|  375 | 見出しバー                        |
|  374 | 折りたたみ用の余白                |
|  415 | 全画面表示                        |
|  452 | 直前のアクティブ                  |
|  338 | アウトライン解析の枠              |
|  396 | アウトライン解析の枠同期          |
|  461 | ファイルマネージャ枠              |
|  479 | ファイルマネージャ枠切り替え      |
|  465 | アウトプット枠                    |
|  480 | アウトプット枠切り替え            |
|  339 | 枠のフォーカス切り替え            |
|  537 | 個別ブラウザ枠                    |
|  538 | 個別ブラウザ枠を更新              |
|  539 | ブラウザ枠                        |
|  540 | ブラウザ枠を更新                  |
|  541 | ブラウザ枠切り替え                |
|  551 | ブラウザ枠表示/非表示             |
|  552 | 個別ブラウザ枠表示/非表示         |
| 7754 | ITAモード                         |
| 7751 | ITAモードOFF                      |
| 7750 | ITAモードON                       |
| 7752 | ITAモード黒ベース                 |
| 7753 | ITAモード白ベース                 |
| 7755 | ITAモードベース色切り替え         |
|   69 | ファイル                          |
|   70 | Ｃ言語機能                        |
|   71 | Ctrl-Q                            |
|   72 | ﾒﾆｭｰ4                             |
|   73 | ﾒﾆｭｰ5                             |
|   74 | ﾒﾆｭｰ6                             |
|   75 | ﾒﾆｭｰ7                             |
|   76 | 右ボタン                          |
|  546 | メニューバー                      |
|  146 | ﾏｸﾛ1                              |
|  147 | ﾏｸﾛ2                              |
|  148 | ﾏｸﾛ3                              |
|  149 | ﾏｸﾛ4                              |
|  150 | ﾏｸﾛ5                              |
|  151 | ﾏｸﾛ6                              |
|  152 | ﾏｸﾛ7                              |
|  153 | ﾏｸﾛ8                              |
|  154 | ﾏｸﾛ9                              |
|  155 | ﾏｸﾛ10                             |
|  156 | ﾏｸﾛ11                             |
|  157 | ﾏｸﾛ12                             |
|  158 | ﾏｸﾛ13                             |
|  159 | ﾏｸﾛ14                             |
|  160 | ﾏｸﾛ15                             |
|  205 | ﾏｸﾛ16                             |
|  206 | ﾏｸﾛ17                             |
|  207 | ﾏｸﾛ18                             |
|  208 | ﾏｸﾛ19                             |
|  209 | ﾏｸﾛ20                             |
|  210 | ﾏｸﾛ21                             |
|  211 | ﾏｸﾛ22                             |
|  212 | ﾏｸﾛ23                             |
|  213 | ﾏｸﾛ24                             |
|  214 | ﾏｸﾛ25                             |
|  215 | ﾏｸﾛ26                             |
|  216 | ﾏｸﾛ27                             |
|  217 | ﾏｸﾛ28                             |
|  218 | ﾏｸﾛ29                             |
|  219 | ﾏｸﾛ30                             |
|  234 | ﾏｸﾛ31                             |
|  235 | ﾏｸﾛ32                             |
|  236 | ﾏｸﾛ33                             |
|  237 | ﾏｸﾛ34                             |
|  238 | ﾏｸﾛ35                             |
|  239 | ﾏｸﾛ36                             |
|  240 | ﾏｸﾛ37                             |
|  241 | ﾏｸﾛ38                             |
|  242 | ﾏｸﾛ39                             |
|  243 | ﾏｸﾛ40                             |
|  244 | ﾏｸﾛ41                             |
|  245 | ﾏｸﾛ42                             |
|  246 | ﾏｸﾛ43                             |
|  247 | ﾏｸﾛ44                             |
|  248 | ﾏｸﾛ45                             |
|  249 | ﾏｸﾛ46                             |
|  250 | ﾏｸﾛ47                             |
|  251 | ﾏｸﾛ48                             |
|  252 | ﾏｸﾛ49                             |
|  253 | ﾏｸﾛ50                             |
|  254 | ﾏｸﾛ51                             |
|  255 | ﾏｸﾛ52                             |
|  256 | ﾏｸﾛ53                             |
|  257 | ﾏｸﾛ54                             |
|  258 | ﾏｸﾛ55                             |
|  259 | ﾏｸﾛ56                             |
|  260 | ﾏｸﾛ57                             |
|  261 | ﾏｸﾛ58                             |
|  262 | ﾏｸﾛ59                             |
|  263 | ﾏｸﾛ60                             |
|  264 | ﾏｸﾛ61                             |
|  265 | ﾏｸﾛ62                             |
|  266 | ﾏｸﾛ63                             |
|  267 | ﾏｸﾛ64                             |
|  268 | ﾏｸﾛ65                             |
|  269 | ﾏｸﾛ66                             |
|  270 | ﾏｸﾛ67                             |
|  271 | ﾏｸﾛ68                             |
|  272 | ﾏｸﾛ69                             |
|  273 | ﾏｸﾛ70                             |
|  274 | ﾏｸﾛ71                             |
|  275 | ﾏｸﾛ72                             |
|  276 | ﾏｸﾛ73                             |
|  277 | ﾏｸﾛ74                             |
|  278 | ﾏｸﾛ75                             |
|  279 | ﾏｸﾛ76                             |
|  280 | ﾏｸﾛ77                             |
|  281 | ﾏｸﾛ78                             |
|  282 | ﾏｸﾛ79                             |
|  283 | ﾏｸﾛ80                             |
|  173 | マクロ実行...                     |
|  143 | マクロ登録...                     |
|   79 | 挿入／上書き切り替え              |
|   58 | 記録開始／記録終了                |
|   60 | 再生                              |
|  407 | キー操作のリピート再生...         |
|  105 | キー操作の保存...                 |
|  106 | キー操作の読込み...               |
|   95 | 外部ヘルプ                        |
|  188 | 外部ヘルプ２                      |
|  233 | 外部ヘルプ３                      |
|  462 | 外部ヘルプ４                      |
|  463 | 外部ヘルプ５                      |
|  464 | 外部ヘルプ６                      |
|  116 | MSDNライブラリ                    |
|   66 | タグジャンプ                      |
|   67 | ダイレクトタグジャンプ            |
|   68 | バックタグジャンプ                |
|  141 | アウトライン解析...               |
|  144 | tagsファイルの作成...             |
|  121 | かな漢モードの切り替え            |
|  115 | かな漢への単語登録                |
|  124 | フリーカーソルモード              |
|  135 | 文字コード表示                    |
|  136 | 行番号表示／非表示                |
|  172 | 前の操作のくり返し                |
|  179 | 秀丸エディタヘルプ                |
|  189 | マクロヘルプ                      |
|  180 | 上書き禁止                        |
|  113 | プログラム実行...                 |
|  341 | 縦書きモード                      |
|  366 | 段組モード                        |
|  380 | ウィンドウ幅で折り返し            |
|  381 | 固定幅で折り返し                  |
|  382 | 最大幅で折り返し                  |
|  417 | 列の幅のテキスト幅揃えを更新      |
|  518 | 列の幅の自動調整を一時停止        |
|  519 | 列の幅を全て狭める                |
|  520 | この列のテキスト幅揃えを更新      |
|  550 | タイトル行分割                    |
|  421 | タブストップを一時的に表示        |
|  515 | セル内改行の変換...               |
|  402 | エクスプローラ                    |
|  403 | マクロファイル用のフォルダ        |
|  422 | タブ幅2                           |
|  423 | タブ幅4                           |
|  424 | タブ幅8                           |
|  427 | TSVモード                         |
|  428 | CSVモード                         |
|  429 | タブ自由配置                      |
|  444 | 文字数計算                        |
|  457 | ブックマーク                      |
|  455 | ブックマークに追加...             |
|  456 | ブックマークの整理...             |
|  471 | フォント大                        |
|  472 | フォント小                        |
|  499 | 自動スペルチェック                |
|  500 | スペルミスの修正...               |
|   81 | 動作環境...                       |
|   54 | ファイルタイプ別の設定...         |
|  516 | ファイルタイプ別の設定のリスト... |
|  101 | メニュー編集...                   |
|   55 | キー割り当て...                   |
|  232 | コマンド一覧...                   |
|  547 | Escキー                           |
|  548 | PageDownキー                      |
|  549 | PageUpキー                        |
|  414 | 何もしない                        |
